Name:           grilo
Version:        0.3.9
Release:        3 
Summary:        A framework for browsing and searching media content

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Grilo
Source0:        https://github.com/grilofw/grilo/archive/%{name}-%{version}.tar.gz

BuildRequires:  chrpath glib2-devel gettext gobject-introspection-devel >= 0.9.0
BuildRequires:  gtk-doc gtk3-devel liboauth-devel libsoup-devel libxml2-devel
BuildRequires:  meson totem-pl-parser-devel vala >= 0.27.1 libxslt

%description
Grilo is a framework focused on making media discovery and browsing easy for 
application developers.

More precisely, Grilo provides:

A single, high-level API that abstracts the differences among various media
content providers, allowing application developers to integrate content from
various services and sources easily.
A collection of plugins for accessing content from various media providers.
Developers can share efforts and code by writing plugins for the framework
that are application agnostic.
A flexible API that allows plugin developers to write plugins of various kinds.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      grilo-vala < 0.2.13

%description    devel
Libraries and header files are contained in %{name}-devel package. You need to
install the %{name}-devel package if you want to develop applications that use
%{name}.

%package_help

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

%build
%meson -Denable-gtk-doc=true

%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_libdir}/grilo-0.3
mkdir -p %{buildroot}%{_datadir}/grilo-0.3/plugins
%find_lang grilo

%ldconfig_scriptlets

%files -f grilo.lang
%doc NEWS AUTHORS
%{_bindir}/*-0.3
%{_libdir}/*-0.3.so.*
%dir %{_libdir}/grilo-0.3/
%{_libdir}/girepository-1.0/*-0.3.typelib
%dir %{_datadir}/grilo-0.3/plugins/
%license COPYING

%files devel
%{_includedir}/grilo-0.3/*.h
%{_includedir}/grilo-0.3/net/*.h
%{_includedir}/grilo-0.3/pls/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*
%{_libdir}/*.so

%files help
%doc README.md TODO
%{_mandir}/man1/*.gz
%{_datadir}/gtk-doc/html/grilo/

%changelog
* Thu Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.3.9-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:optimization the spec

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.3.9-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.3.9-1
- Package Init
